<?php

defined( 'ABSPATH' ) || die();

/**
 * Class to for MailChimp operations using ajax
 *
 * @author      Mucahit Yilmaz
 * @copyright   Artbees LTD (c)
 * @link        http://artbees.net
 * @version     5.0
 * @package     artbees
 */

class Mk_Ajax_Subscribe {


	public function __construct() {
		add_action(
			'wp_ajax_nopriv_mk_ajax_subscribe', array(
				&$this,
				'subscribe_to_list',
			)
		);
		add_action(
			'wp_ajax_mk_ajax_subscribe', array(
				&$this,
				'subscribe_to_list',
			)
		);
	}

	public function subscribe_to_list() {

		$email   = stripslashes( $_POST['email'] );
		$list_id = stripslashes( $_POST['list_id'] );
		$consent = stripslashes( $_POST['optin'] );

		$result = $this->subscribe( $email, $list_id, $consent );

		if ( 'subscribed' === $result['status'] ) {
			echo json_encode(
				array(
					'action_status' => true,
					'message'       => $email . esc_html__( ' has been subscribed.', 'jupiter-donut' ),
				)
			);

			wp_die();
		}

		echo json_encode(
			array(
				'action_status' => false,
				'message'       => $result['title'],
			)
		);

		wp_die();
	}

	private function subscribe( $email, $list_id, $optin ) {
		$mailchimp = new MK_MailChimp( trim( jupiter_donut_get_option( 'mailchimp_api_key' ) ) );

		$result = $mailchimp->subscribe( $email, $list_id, $optin );

		return $result;
	}
}

new Mk_Ajax_Subscribe();
