<?php
	if ( 'none' === $view_params['captcha_version'] ) {
		return;
	}

	$jupiter_option = get_option( THEME_OPTIONS, [] );
	if ( 'v2' === $view_params['captcha_version'] && ! empty( $jupiter_option['google_recaptcha_v2_site_key'] ) ) {
		$site_key = $jupiter_option['google_recaptcha_v2_site_key'];
		$size     = 'invisible';
		$render   = '?render=' . $site_key;
	}

	if ( 'v3' === $view_params['captcha_version'] && ! empty( $jupiter_option['google_recaptcha_v3_site_key'] ) ) {
		$site_key = $jupiter_option['google_recaptcha_v3_site_key'];
		$size     = 'invisible';
		$render   = '?render=' . $site_key;
	}

	if ( empty( $site_key ) ) {
		echo '<div>' . esc_html__( 'Site key is not provided, You may provide google reCaptcha valid keys or disable reCaptcha field to disable this message.', 'jupiter-donut' ) . '</div>';
		return;
	}
?>
<div class="mk-form-row mk-form-recaptcha">
	<div
		class="g-recaptcha"
		data-sitekey="<?php echo esc_attr( $site_key ); ?>"
		method="post"
		data-badge="inline"
		data-callback="jupiterCaptchaContactFormCaptchaToken"
		data-type="<?php echo esc_attr( $view_params['captcha_version'] ); ?>"
		data-size="<?php echo esc_attr( $size ); ?>"
	></div>
</div>
<script src="https://www.google.com/recaptcha/api.js<?php echo esc_url( $render ); ?>"></script>
